org.eclipse.emf.facet.util.emf.catalog

## Interface CatalogSet

Deprecated.

    @Deprecated
    public interface CatalogSet

A representation of the model object 'Set'. A CatalogSet is a set of EMF Facet catalogs.

The following features are supported:

- `Catalogs`

See Also:
  `CatalogPackage.getCatalogSet()`
Generated:
Model:

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`<any>` `getCatalogs()` Deprecated. Returns the value of the 'Catalogs' containment reference list.

### Method Detail

#### getCatalogs

    <any> getCatalogs()

Deprecated.
Returns the value of the 'Catalogs' containment reference list. The list contents are of type `Catalog`.

If the meaning of the 'Catalogs' containment reference list isn't clear, there really should be more of a description here...

The "catalogs" reference references all the EMF Facet Catalog catalogs contained by a CatalogSet

Returns:
  the value of the 'Catalogs' containment reference list.
See Also:
  `CatalogPackage.getCatalogSet_Catalogs()`
Generated:
Model:
  containment="true"